import puppeteer from 'puppeteer';

const browser = await puppeteer.launch();
try {
    const page = await browser.newPage();
    await page.goto('https://news.ycombinator.com', {
        waitUntil: 'networkidle2',
    });
    await page.screenshot({
        path: 'hn.png',
    });
} catch (error) {
    console.log(error);
}
finally {
    await browser.close();
}